Create a collect request

Permissions required: Initiate Staking and Unstaking

In staking, the "collect" operation is the action of claiming inactive unstaked amount back to
the available balance by moving them from the staking protocol or pool into a personal wallet. Once collected, these amounts are fully under wallet's owner control.

NOTE: This endpoint is under development.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

An amount of a crypto-asset to unstake, without units. The unit is derived from the asset type.

string
required

A string representing a type of crypto-asset, which usually corresponds to the crypto asset's ticker symbol.

Use /asset-types to list all of the supported asset types for your organization.

string | null

An optional string providing more context to this transaction. It will be visible on the Anchorage Digital iOS app and will not be published to the blockchain.

string
length ≤ 128

A client-provided unique ID for idempotent requests

boolean
Defaults to false

Specifies whether to collect the full amount, which overrides any provided amount if set to true.

source
object
required

An object representing a resource capable of sending funds.

Construction example:

{
"id":"1c920f4241b78a1d483a29f3c24b6c4c",
"type":"WALLET"
}
string
required

Unique identifier of the staking position

Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json